module(...)
--magic editor build
DATA={
	atk_stophit=false,
	cmds={
		[1]={
			args={
				alive_time=1.5,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_510/Prefabs/510_buff.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[vic]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[vicobjs]],
			},
			func_name=[[StandEffect]],
			start_time=0,
		},
		[2]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=true,
				hurt_delta=0,
				play_anim=true,
			},
			func_name=[[VicHitInfo]],
			start_time=0.45,
		},
		[3]={args={},func_name=[[End]],start_time=1,},
	},
	group_cmds={},
	pre_load_res={[1]=[[Effect/Magic/magic_eff_new_510/Prefabs/510_buff.prefab]],},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
